変更履歴/changes history
--------------------------------------------------------------------------------
2007/10/02 開発コード:宇宙花火
・[□接続時にユーザ名とパスワードを問い合わせる]をオプションからデータベースの設定に移動。
・ツリービューから[お気に入りに送る]をポップアップメニューで追加。
・お気に入りのフォルダー名、テーブル名を編集可能に。
・ツリービューのデータベースの順番を変更可能に。お気に入りのフォルダー、テーブルも。
・「データベースを開く」「データベース定義を開く」「テーブル定義を開く」を別スレッド＆砂時計に。
・「データベース定義を開く」「テーブル定義を開く」のアイコンを変更。
・セルの幅を表示される文字に合わせて適切なサイズにする。ヘッダの文字列も考慮に入れる。
・再検索しても、セルの幅を変えない。
・ExecuteFrameの高さを240->360に広げた。
・ExecuteFrameのツールバーの実行ボタンと、Commitボタンの間を離した。
・ExecuteFrameに書かれたSQLを実行するとき、選択されているときは、その範囲のSQLを実行する。
・ExecuteFrameに書かれたSQLに末尾がセミコロンがある場合、セミコロンを省いて実行する。
・メッセージボックスを親ウィンドウの中央に表示されるようにした。
・進捗ダイアログの表示を中央に。
・SQLを字句解析し、SQLのキーワードやコメントに色をつけるようにした。(thanks, Project blanco.)
・SQLを整形する機能をつけた。(thanks, "project blanco".)
・テーブル・ビューとSQLビューの更新ボタンを共通にした。また、隣のボタンと少し間を空けた。
・テーブル数が多いDBの場合、接続にかなり時間がかかる。それまではカラム情報も同時に取得していたが、
	高速化のためテーブル接続時にカラム情報を取得するように変更。
・テーブル情報が取得できないときでも、全体をエラーにせず、それ以降のテーブル情報を取得する。
・SQLビューで、カラム数が変わる検索を行った場合、右の窓の数がおかしくなる不具合を修正。
・レコードが選択されていないときでも、右の窓のカラム名だけは表示する。
・JTreeFrameの幅を少し狭くした。320->300
--------------------------------------------------------------------------------
2007/10/21 開発コード:かぐや
・SQL整形した後、選択された範囲を1行にする機能をつけた。
・テーブル情報に remarks があると、ツリーの要素に表示するようにした。また、ウィンドウタイトルにも表示するようにした。
・お気に入りの削除のとき、複数選択されているとそれらを削除するようにした。
・データベース定義フレームのウィンドウのアイコンがメニューと異なっているので直した。
・お気に入りに送るとき、複数選択されていると、それらが送られるようにした。
・お気に入りの名前に'<'や'&'などがあると、XMLに保存しても正しく読み込めない不具合を修正。
・お気に入りの名前を編集するとき、Enterを押すとStackOverFlowになる不具合を修正。
・commit/rollbackをしたとき、「更新しました」では誤解を招くので「commitしました」等に変更。
・レコード件数を調べるとき、複数選択したらその選択されたテーブル情報について調べる。
・お気に入りタブでもDDLの作成ができるようにした。
・オラクルのとき、SYS.ALL_TAB_COMMENTS のコメントを remark にできるようにした。
・オラクルのとき、SYS.ALL_COL_COMMENTS のコメントを remark にできるようにした。
・データベースのプロパティダイアログに上記２つの設定を加え、基本タブと拡張タブの２つに分けた。
・CLOB,BLOBなどのときには、Referenceを使い、メモリオーバーにならないようにした。
・プロパティビューの名前のツールチップにカラム情報＋PK番号、検索結果情報のすべてを表示するようにした。
・プロパティビューの名前をダブルクリックしたときにカラム情報、検索結果情報を表示するのを廃止。(上記変更で無意味に)
・バージョン情報にシステムプロパティやメモリ状態、GCボタンを追加。
・一番最初にDBを登録したとき、[るーと]が展開されずDBが表示されない不具合を修正。
・[データベースを登録]を[データベース接続を登録]に名称変更。あいまいさを回避。
・データベース接続の登録が不完全なとき、次回起動時にすべて失敗していた。読み込み可能な設定は読み込むようにした。
・件数を表示するダイアログで、途中で失敗しても"取得失敗"と表示し処理を続けるように修正。Oracle/VIEW定義がおかしいときに発生。
・CLOB,BLOBなどのときに、セルに"Blob(12,345バイト)"のように表示するように変更。
・SQL整形のロジックを更新。関数は１行に書くようにした。いがぴょんに評価依頼。
--------------------------------------------------------------------------------
2007/10/24 開発コード:嫦娥(Chang'e:じょうが:チャンア)
・SQL整形のため、関数を登録できるようにした。データベース接続のプロパティで行う。外部結合演算子対応。
・SQL整形でキーワードを大文字や小文字にできるようにした。
--------------------------------------------------------------------------------
2007/10/30 開発コード:ホームズ彗星
・ツールチップにNULLのとき、nullと表示していたものをNULLに修正。レコードを選択していないときは表示しない。
・バージョン情報をサイズ変更可能なダイアログに。
・エラーメッセージダイアログをSxOptionPaneベースに。
・jarファイルからリソースが読めない不具合を修正。(#2:Okeさん、#3:kawaさんありがとう)
--------------------------------------------------------------------------------
2007/11/07 開発コード:５５カンクリ
・DbResultSetViewのツールチップで値がNULLのとき、"null"ではなく、グレイで"NULL"に表示するようにした。
・DbResultSetViewでもLargeObjectが表示できるようにした。
・DbResultViewにポップアップメニュー(すべて選択,コピー)を表示
・ポップアップメニューに「お気に入りにグループがありません。まずはお気に入りタブでグループを作成してください」を追加。
・お気に入りに、SQLウィンドウのSQLの内容を登録できるようにした。
・関数名の登録に空行があった場合に例外になる不具合を修正。
・実行ウィンドウで、複数のSQLの実行ができるようにした。セミコロンで区切って実行。
・SQL入力エリアのタブ名の編集がマウス左ダブルクリックでできるようになった。
・JDBCドライバのjarファイルが２つ以上あるときに正しく読めない不具合を修正。
・MySQL5でデータベース定義に失敗するので、ProcedureColumnsでRuntimeExceptionをキャッチ。
--------------------------------------------------------------------------------
2008/02/06 開発コード:iPS細胞
・メニューの"選択された範囲のコメントを削除します"を"選択された範囲のコメントを削除"に
・選択された範囲のコメントを削除するとき、シングルラインコメントのとき次の行とくっつく不具合を修正
・SQLを１行にするとき、先頭の空白は残すように修正。
・SQLフレームの☆を非公開に（まだ早い）
・blancoSqlParserが空白の取得が正しくできない不具合を修正。いがぴょんに報告すべし。ゴメン。
・SQLを１行にするとき、選択されたテキストがないときNullPointerExceptionjになる不具合を修正。
・データベースのプロパティダイアログ、データベースへの接続ダイアログで、URLの幅を最大800dot、最適400dotに。
・SQLエディタに[コメントの切り替え]を追加。
★SQLエディタを独立させ単独で動かせるようにした。SqlEditor.bat
・INSERT文の作成、UPDATE文の作成で、末尾にセミコロンを付けるようにした。
・アイコンやアクセラレータキーを付けた。
・起動時に[るーと]にフォーカスを当てた。キーボードのみで操作が開始できる。
・2002年から開発がはじまったのがわかったので、バージョン情報の年号を変えた。
・DbTextFrameを開いたときのスクロール位置を末尾から先頭になるように変更。
・オラクルのリサイクルビンの非表示の設定をオプションからデータベース接続定義へ移動。
★SQLエディタに[コメントの追加]、[コメントの除去]を追加。
★重い処理には進捗ダイアログを付けた。
・BLOBのキャッシュがなくなったとき、再読み込みする際にキャンセルボタンをつけた。
★テーブルビューを、JSpreadを使った編集可能なビューにした。
★名前をVerticalViewerからAsanDatabaseBrowserに変えた。
・AsanDatabaseBrowser.xmlの更新時に前の設定ファイルを残すようにした。
註：大きな変更の時には★にしました。
--------------------------------------------------------------------------------
2008/02/21
・AsanDatabaseBrowser.jar の中にツールボタンのアイコンが抜けててテーブルビューが表示されない不具合を回避。
--------------------------------------------------------------------------------
2008/06/09 開発コード:日本実験棟「きぼう」
・MySQLでBITのときにBooleanとして編集できるようにした。
・カラムのツールチップに"VARCHAR(80) NOT NULL"などを先頭に表示するようにした。
・DB2でSQLビューを開けない不具合を修正。
・ドライバ名、URLに http://wiki.paulownia.jp/java/jdbc の内容を追加。
・TableViewの列ヘッダのポップアップが、スクロールしていると表示位置がずれる不具合を修正。
・TableViewで選択されていないときに、新規挿入を押すと１件だけ挿入するように変更。
・TableViewでのINSERTが失敗する不具合を修正。(末尾の';'が余分）
・PostgreSQLのTypeInfoのLITERAL_PREFIX/LITERAL_SUFFIXに値が入っていない。文字列型、日時型に"をつけるよう修正。
・データベースの切断に失敗したとき、ツリーの枝が残る不具合を修正。
・DB2ではResultSetを閉じた後にはBlob等が使えなくなるので、その対応。
・LOB型を再度取得する際に、主キーがなかったとき、条件にLOB型を含めないようにした。
・LOB型を再度取得する際に、レコードが特定できなかったときに、安全のためエラーにした。
・データベースを検索したとき、直ちにrollbackするオプションを追加。
・バージョン情報にビルド日時を表示。
--------------------------------------------------------------------------------
2008/06/10
★SQLログビューを追加。
・SQLログに日時も出力する。
・TableフレームでINSERT/UPDATE/DELETE時にrollbackがかかり、更新されない不具合を修正。
--------------------------------------------------------------------------------
2008/09/30 開発コード:火星の雪
・アイコン化したとき、SQLログビューも連動するようにした。
・テーブルビューのタイトルの表記方法が統一していなかったので統一させた。
・DB2のとき、DDLや型が正しくない不具合を修正。
・レコード件数が取得失敗したとき、ソートできない不具合を修正。
・スプラッシュウィンドウがイマイチなので、出さないようにした。
・[データベースツリーを最新に]を実行しても最新にならなかった不具合を修正。
・"選択されたレコードをレコードを編集前の..."の文言が変なので修正。
・メニュー[SQLログビューを表示/非表示]をチェックボックスメニューにした。
・SQLログビューにクリアを追加した。
・ログビューに出力するタイミングを実行前にするようにした。
・Queryを実行したあと、常にrollbackするかどうかのオプションを追加した。
--------------------------------------------------------------------------------
まだ公開されていない変更内容 200x/xx/xx 開発コード:土星の６角形の渦
・テーブルビューで再検索したとき、レコード数が変わったのにビューのサイズが変わらない不具合を修正。
・テーブルビューのヘッダの幅をフィットさせる機能を追加。
・テーブルビューのヘッダの幅が初期時にフィットしない不具合を修正。
・
--------------------------------------------------------------------------------
まだ公開されていない変更内容 200x/xx/xx 開発コード:xxx
・
